# Mount device partitions

description "Mount device partitions"

start on (startup
    and started udev)

emits mounted-android

task

script
    mkdir -p /dev/cpuset
    mount none /dev/cpuset -t cpuset -o nodev,noexec,nosuid

    /usr/sbin/mount-android.sh
    
    # Overlay some init properties
    mount -o bind /opt/halium-overlay/vendor/etc/init/hw/init.qcom.usb.rc /android/vendor/etc/init/hw/init.qcom.usb.rc
    mount -o bind /opt/halium-overlay/vendor/etc/init/hw/init.oem.rc /android/vendor/etc/init/hw/init.oem.rc
    # Disable time_daemon replace binary with a non executable
    mount -o bind /opt/halium-overlay/vendor/bin/time_daemon /android/vendor/bin/time_daemon

    # Store updates on userdata partition since cache is too small
    umount /android/cache || true
    mkdir -p /userdata/cache
    mount -o bind /userdata/cache /android/cache

    if [ -d /android/metadata ]; then
        mount -o bind /android/metadata /var/lib/lxc/android/rootfs/metadata
    fi
    initctl emit -n mounted-android
end script
